LIBRARY "signageos/cloudControl_helpers.brs"

Sub signageOS_StartManagement(organizationUid)
	print "signageOS StartManagement sub begin"

    ' Elementary objects
    msgPort = CreateObject("roMessagePort")
    systemTime = CreateObject("roSystemTime")
    screenRegistrySection = CreateObject("roRegistrySection", "screen")
    browserWindows = CreateObject("roAssociativeArray")

    ' Multiprocess of Chromium to cooperate with BrightScript
    ' See https://github.com/brightsign/bs-asset-fetcher/issues/1
    registrySection = CreateObject("roRegistrySection", "html")
    multiProcess = registrySection.read("mp")
    if multiProcess <> "1" then
        registrySection.write("mp","1")
        registrySection.flush()
        RebootSystem()
    endif

    ' Setups
    audioOutput = SetupAudio()
    debugRegistrySection = SetupDebug()
    videoModeProvider = SetupVideoMode()
    supportedVideoModes = GetSupportedVideoModes(videoModeProvider)
    invisibleRectangle = CreateObject("roRectangle", 0, 0, 0, 0)
    htmlWidget = SetupHtmlWidget(msgPort, screenRegistrySection, invisibleRectangle, debugRegistrySection, "signageos/snippet.html", organizationUid, browserWindows)

    ' The htmlWidget instance has to be stored globally to prevent garbage collection
    ' The GC process would destroy the htmlWidget instance and close the browser
    globalAA = GetGlobalAA()
    globalAA.signageOS_htmlWidget = htmlWidget

End Sub
